package net.minecraft.src.buildcraft.api;

public class BlockSignature {
	public String blockClassName;
	public String tileClassName;
	public String blockName;
	public String mod;
	public String modVersion;
	public String customField;
	
	public BlockSignature (String str) {
		String [] values = str.split("/");
		
		blockClassName = values [0];
		tileClassName = values [1];
		blockName = values [2];
		mod = values [3];
		modVersion = values [4];
		customField = values [5];		
		
		replaceNullWithStar();
		
	}
	
	public BlockSignature () {
		
		replaceNullWithStar();
	}
	
	@Override
	public String toString() {
		replaceNullWithStar();
		
		return blockClassName + "/" + tileClassName + "/" + blockName + "/"
				+ mod + "/" + modVersion + "/" + customField;
	}

	public void replaceNullWithStar () {
		if (blockClassName == null) {
			blockClassName = "*";
		}
		
		if (tileClassName == null) {
			tileClassName = "*";
		}
		
		if (blockName == null) {
			blockName = "*";
		}
		
		if (mod == null) {
			mod = "*";
		}
		
		if (modVersion == null) {
			modVersion = "*";
		}
		
		if (customField == null) {
			customField = "*";
		}
	}
}